{% extends "customers/base.html" %}
{% load i18n %}
{% load widget_tweaks %}
{% load active_tag %}
{% load staticfiles %}
{% load price_tag %}
{% block title %}Detalle de Red del Servicio {{ service.number }} - Histórico cargos y descuentos {% endblock %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  
<style>

.dropdown-toggle::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
}
</style>
	{% endblock %}
	
{% block page %}
{%if can_show_detail %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-extras' slug=service.pk %}">Prefacturación</a></li>
    <li class="breadcrumb-item active">Prefacturación histórico</li>
  </ol>
  <!-- end breadcrumb -->

   <!-- begin page-header -->
   <h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
   <!-- end page-header -->
	  
   <ul class="nav nav-pills mb-2">
		<li class="nav-item {% add_active request 'service-detail' %}">
		  <a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-network-detail' %}">
		  <a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-gallery' %}">
		  <a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Galería</span>
			<span class="d-sm-block d-none">Galería</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-documents' %}">
		  <a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="{% url 'service-extras' slug=service.slug %}" class="nav-link active">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-promotions' %}">
			<a href="{% url 'service-promotions' service.slug %}" class="nav-link">
				<span class="d-sm-none">Promociones</span>
				<span class="d-sm-block d-none">Promociones</span>
			</a>
		</li> 
		<li class="nav-item {% add_active request 'service-plan-orders' %}">
		  <a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		  </a>
		</li>
        <li class="nav-item {% add_active request 'service-configuration' %}">
            <a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
                <span class="d-sm-none">Configuración</span>
                <span class="d-sm-block d-none">Configuración</span>
            </a>
        </li>
		<li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta cliente</span>
				<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
			</a>
		</li>			
	  </ul>

	  <div class="row mb-3">
			<div class="col-sm-12 col-md-12">
					{% if perms.customers.change_service %}
					<div class="dropdown">
				  	<a class="btn btn-success btn-raised pull-right dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >Nuevo <span class="dropdown-menu-arrow"></span></a>
						<div class="dropdown-menu" aria-labelledby="dropdownMenuLink" style="min-width: 6.5rem !important; ">
								<a class="dropdown-item" href="{% url 'create-service-credit' slug=object.slug %}">Descuento</a>
								<a class="dropdown-item" href="{% url 'create-service-charge' slug=object.slug %}">Cargo</a>
							</div>
						</div>
						{% endif %}

						<select id="id_service" class="form-control" hidden>
								<option value="{{service.id}}" selected>{{service}}</option>
							</select>
			</div>
		  </div>
	  

	  <!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Descuentos</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
					<div class="row mb-3">
							<form class="form-inline">
					<div class="form-group m-r-10">
							<label for="active" class="control-label m-r-10" style="margin-left:10px"> Estado</label>
							<select id="active" class="form-control">
									<option value="" selected>Todos</option>
									<option value="True">Activo</option>
									<option value="False">Culminado</option>
							</select>
							</div>
							</form>
			</div>
					<table id="credit-list-historical" class="table table-striped table-bordered table-td-valign-middle">
							<thead>
								<tr>
										<th>Descripción</th>
										<th>Monto</th>
										<th>Fecha de creación</th>
										<th># ciclos facturación</th>
										<th># facturas aplicadas</th>
										<th>Fecha final de facturación</th>
										<th>Boletas aplicadas</th>
								</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
	
		
			</div>
			<!-- end panel-body -->
		  </div>

		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
				  <h4 class="panel-title">Cargos</h4>
				  <div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				  </div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
						<div class="row mb-3">
								<form class="form-inline">		
						<div class="form-group m-r-10">
								<label for="status" class="control-label m-r-10"  style="margin-left:10px">Estado</label>
								<select id="status" class="form-control">
										<option value="" selected>Todos</option>
										<option value="True">Activo</option>
										<option value="False">Culminado</option>
								</select>
								</div>		
					</form>
				</div>
						<table id="charge-list-historical" class="table table-striped table-bordered table-td-valign-middle">
								<thead>
									<tr>
											<th>Descripción</th>
											<th>Monto</th>
											<th>Fecha de creación</th>
											<th># ciclos facturación</th>
											<th># facturas aplicadas</th>
											<th>Fecha final de facturación</th>
											<th>Boletas aplicadas</th>
									</tr>
								</thead>
								<tbody>
								</tbody>
							</table>

				  
				</div>
				<!-- end panel-body -->
			  </div>

		</div>
	  </div>
	  {%else%}
	  <!-- begin page-header -->
	  <h1 class="page-header">  Servicio </h1>
	  <!-- end page-header -->
  <div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	  <h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
	  <hr>
	  <h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
  </div>
  {% endif %}
{% endblock %}

{% block pageleveljs %}
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
  <script type="text/javascript" src="{% static 'theme/build/js/pages/credits-list-historical.js' %}" defer></script>
	<script type="text/javascript" src="{% static 'theme/build/js/pages/charges-list-historical.js' %}" defer></script>
  {% endblock %}  